<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_g.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>GeoCoordinate()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#a1ffa3e3d7935ae43a50cb2149bded4a2">framework::core::GeoCoordinate</a>
</li>
<li>GetAngularRates()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a23d98d2f9204e96706b4df4d21e1108e">framework::core::AhrsData</a>
</li>
<li>GetBatteryMonitor()
: <a class="el" href="classframework_1_1actuator_1_1_bl_ctrl_v2.html#a582991f8fa1fa0ec1948acecd7d2db8d">framework::actuator::BlCtrlV2</a>
</li>
<li>GetConjugate()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#a43e13e22b373ffa61c754cbf97e759e7">framework::core::Quaternion</a>
</li>
<li>GetCoordinates()
: <a class="el" href="classframework_1_1core_1_1_geo_coordinate.html#a0df0267cc919968ecd9ba2025f1234a6">framework::core::GeoCoordinate</a>
</li>
<li>getCvMat()
: <a class="el" href="classframework_1_1core_1_1cvmatrix.html#a6bf7a0facaf26e2d3dd8eaab5a72f1ee">framework::core::cvmatrix</a>
</li>
<li>GetDatas()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#aa11e32bebd8a009acf53e552894714ca">framework::filter::Ahrs</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#a0055c0692904b8605caee49b567b0bc7">framework::sensor::Imu</a>
</li>
<li>GetDataType()
: <a class="el" href="classframework_1_1core_1_1_i_o_data_element.html#ad8e2f686aa02c184840d08261e4b984d">framework::core::IODataElement</a>
</li>
<li>GetDerivative()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#a7ed5fb6d063f6e72b845d23898b18b6d">framework::core::Quaternion</a>
</li>
<li>GetENUPosition()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a2aa80e9268af7c1b7f13c71a057ec4b5">framework::sensor::Gps</a>
</li>
<li>GetEuler()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a7c5dfeca21237b2af7909f5057158332">framework::sensor::VrpnObject</a>
</li>
<li>GetGroupBox()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#af8a5fc57183ae21d5dd90414b8194b31">framework::sensor::Camera</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#a3bece4d96d0702d27cedecc130cd00df">framework::sensor::Imu</a>
, <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#a021a2d0707bbf0a87ee532ca78d69173">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#a6ead26563fabb1217996d9eb4427ef1f">framework::sensor::UsRangeFinder</a>
</li>
<li>GetImu()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#a590a80617c2cc51b14d61d1a8ef69744">framework::filter::Ahrs</a>
, <a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html#a70dcdca8e5834c730875561ada54f250">framework::sensor::ParrotNavBoard</a>
</li>
<li>GetLastPacketTime()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a8ff4ec684a809b5c41a35f3830048de1">framework::sensor::VrpnObject</a>
</li>
<li>GetLayout()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#aeda456e3039a119b2e242f86f33176de">framework::actuator::Bldc</a>
, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#ad6a396652dd0e73bf0bbeb49f5e38219">framework::filter::UavMultiplex</a>
</li>
<li>getLayout()
: <a class="el" href="classframework_1_1gui_1_1_layout_position.html#a6bad7638aa164ba454f325cf5e11db02">framework::gui::LayoutPosition</a>
</li>
<li>GetLayout()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#ae42278cf443e4ce0502c943fa981840f">framework::sensor::Camera</a>
, <a class="el" href="classframework_1_1sensor_1_1_gps.html#aa3d9c3cace27dafe48673bde9a7b26ad">framework::sensor::Gps</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#afa5bede809ddf4dfb294e7f3d6e5b273">framework::sensor::Imu</a>
, <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#acd28702e70c02946345eed5fd7bbf2ba">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_radio_receiver.html#a9f4f9064951e2f70191f68df8016c9da">framework::sensor::RadioReceiver</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#a67438895ee4fb88aa62c6c161f7889bb">framework::sensor::UsRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html#ad68374be36ff8aec0e00a681a25e4b93">framework::sensor::VrpnClient</a>
</li>
<li>GetLogarithm()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#a24f424cf9147df43632a5c2ed4ee3db6">framework::core::Quaternion</a>
</li>
<li>GetMutex()
: <a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">framework::core::Mutex</a>
, <a class="el" href="classframework_1_1gui_1_1_box.html#ae559d9f84cea25538f594f05d51a3c29">framework::gui::Box</a>
</li>
<li>GetNorm()
: <a class="el" href="classframework_1_1core_1_1_quaternion.html#acbb77de24a84b6a031f33fbb25b729a8">framework::core::Quaternion</a>
, <a class="el" href="classframework_1_1core_1_1_vector2_d.html#ac29e45c6321ebc4987fe6cc45da844bb">framework::core::Vector2D</a>
, <a class="el" href="classframework_1_1core_1_1_vector3_d.html#a0db1d5dcdeb33260ee5f9ad20d1e8eac">framework::core::Vector3D</a>
</li>
<li>GetOffset()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#aa8d734a4f76ff404e31dba349aaf0a0b">framework::filter::PidThrust</a>
</li>
<li>GetPersistentXmlProp()
: <a class="el" href="classframework_1_1gui_1_1_widget.html#a7f3edf9b759566ed766e96e3b802f3c7">framework::gui::Widget</a>
</li>
<li>GetPlot()
: <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#a80f57a4f80740b621e504b6705b05607">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#abd18f86f1636a6658b55492da1c2ac43">framework::sensor::UsRangeFinder</a>
</li>
<li>GetPlotTab()
: <a class="el" href="classframework_1_1sensor_1_1_camera.html#aecef2592a64a6666e1954be881c03cd9">framework::sensor::Camera</a>
, <a class="el" href="classframework_1_1sensor_1_1_gps.html#a4a27b55c12e2089fed49cdf9e9714ee1">framework::sensor::Gps</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#a1aa6a0f35db1bb588edd53939e36ccc3">framework::sensor::Imu</a>
, <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#a104ba19d322a99a307e193d19d4d7657">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#ae86901f3d42a449e67a73f18007c6c0b">framework::sensor::UsRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a62d0f23781e77adf59023dccbc7bacbc">framework::sensor::VrpnObject</a>
</li>
<li>GetPosition()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5fc642d3f52a46bd5ca424bf050e01db">framework::filter::TrajectoryGenerator2DCircle</a>
, <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#aec741518a11ed13df013210df3bddec2">framework::sensor::VrpnObject</a>
</li>
<li>GetQuaternion()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a01a88b745d1cb6e844033157a6de7252">framework::core::AhrsData</a>
, <a class="el" href="classframework_1_1sensor_1_1_vrpn_object.html#a7c40929f15fcc62de8cb6c548df95576">framework::sensor::VrpnObject</a>
</li>
<li>GetQuaternionAndAngularRates()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a7c6f8419b5f6fc086e31132fecd0f66e">framework::core::AhrsData</a>
</li>
<li>GetRawAcc()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a11e0b74e5f56a562577a7e3a51487bc2">framework::core::ImuData</a>
</li>
<li>GetRawAccMagAndGyr()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a4f90b31ee61c5927c1050d952e9ff1c3">framework::core::ImuData</a>
</li>
<li>GetRawGyr()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a019b3cf7520f38fe0c9c53528f27c369">framework::core::ImuData</a>
</li>
<li>GetRawMag()
: <a class="el" href="classframework_1_1core_1_1_imu_data.html#a8559a0720a5ea626721af362d033d529">framework::core::ImuData</a>
</li>
<li>GetReferenceOrientation()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#abf8b2195e8badf782840c53f94d22f7d">framework::filter::JoyReference</a>
</li>
<li>GetSpeed()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abd3f0a38d9cf541731206a99eee12643">framework::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>GetSpeeds()
: <a class="el" href="classframework_1_1actuator_1_1_simu_bldc.html#a62004437b9432ecd64d5aea8b0cf4d26">framework::actuator::SimuBldc</a>
</li>
<li>GetTab()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a4bbc2c14b7123f06b5ae9c80b2e18f7b">framework::sensor::Gps</a>
</li>
<li>GetTabWidget()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#abcdd863f5fe4dc6f63e2f2c6452024d7">framework::core::FrameworkManager</a>
, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a4a8fd3d0c5664a5d858335e6a8345c3f">framework::filter::UavMultiplex</a>
, <a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html#abbd412e158e92dbf1de484a4bcb4cc03">framework::sensor::VrpnClient</a>
</li>
<li>GetUsRangeFinder()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html#a3b1836df5bf813f241855bd76a6ff93f">framework::sensor::ParrotNavBoard</a>
</li>
<li>GetVoltage()
: <a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html#a94958b7fa638911e0ef1d69562e50fc8">framework::sensor::BatteryMonitor</a>
</li>
<li>Gps()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#ab30e2e915b24fdda381ba16a435eb050">framework::sensor::Gps</a>
</li>
<li>GridLayout()
: <a class="el" href="classframework_1_1gui_1_1_grid_layout.html#a2edcfafbca136c03973a4ca96b56e762">framework::gui::GridLayout</a>
</li>
<li>GroupBox()
: <a class="el" href="classframework_1_1gui_1_1_group_box.html#a0ed732a0c9852288e5a9646fe0289c84">framework::gui::GroupBox</a>
</li>
<li>Gx3_25_ahrs()
: <a class="el" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#abc925b2f62498def32fc05738d367210">framework::filter::Gx3_25_ahrs</a>
</li>
<li>Gx3_25_imu()
: <a class="el" href="classframework_1_1sensor_1_1_gx3__25__imu.html#a86bd9fcdebf6a8a390a90301f73f0102">framework::sensor::Gx3_25_imu</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
